#include <iostream>

using namespace std;

typedef unsigned long long llu;

constexpr llu ono_kad[] = {
1llu <<  0, 1llu <<  1, 1llu <<  2, 1llu <<  3, 1llu <<  4, 1llu <<  5, 1llu <<  6, 1llu <<  7, 1llu <<  8, 1llu <<  9,
1llu << 10, 1llu << 11, 1llu << 12, 1llu << 13, 1llu << 14, 1llu << 15, 1llu << 16, 1llu << 17, 1llu << 18, 1llu << 19,
1llu << 20, 1llu << 21, 1llu << 22, 1llu << 23, 1llu << 24, 1llu << 25, 1llu << 26, 1llu << 27, 1llu << 28, 1llu << 29,
1llu << 30, 1llu << 31, 1llu << 32, 1llu << 33, 1llu << 34, 1llu << 35, 1llu << 36, 1llu << 37, 1llu << 38, 1llu << 39,
1llu << 40, 1llu << 41, 1llu << 42, 1llu << 43, 1llu << 44, 1llu << 45, 1llu << 46, 1llu << 47, 1llu << 48, 1llu << 49,
1llu << 50, 1llu << 51, 1llu << 52, 1llu << 53, 1llu << 54, 1llu << 55, 1llu << 56, 1llu << 57, 1llu << 58, 1llu << 59,
1llu << 60, 1llu << 61, 1llu << 62, 1llu << 63};
static unsigned n;
static llu a[500000], b[500000];

/*static inline llu jeftinije(int broj, int bit)
{
    bool u_pitanju = broj & ono_kad[bit];
    if (!
}

static inline llu uradi_and(int bit)
{

}*/

int main()
{
    ios::sync_with_stdio(false); cin.tie(0); cout.tie(0);
    cin >> n;
    for (unsigned i = 0; i < n; i++)
    {
        int broj;
        cin >> broj;
        b[i] = a[i] = broj;
    }
    cout << rand();
    return 0;
}